"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759000>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759090>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759120>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc97591b0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759240>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc97592d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759360>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc97593f0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759480>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759510>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc97595a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759630>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc97596c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759750>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc97597e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759870>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759900>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759990>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759a20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759ab0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759b40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759bd0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759c60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759cf0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759e10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759d80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759ea0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759f30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9759fc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a050>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a0e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a170>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a200>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a290>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a320>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a3b0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a440>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a4d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a5f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a680>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a710>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a7a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a830>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a8c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a950>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975a9e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975aa70>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975ab00>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975ab90>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975ac20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975acb0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975ad40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975add0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975ae60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975aef0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975af80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b010>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b0a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b130>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b1c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b250>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b2e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b370>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b400>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b5b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b490>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b640>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b6d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b760>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b7f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b880>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b9a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975b910>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975ba30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975bac0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975bb50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975bc70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975bbe0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975bd00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975bd90>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975be20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975beb0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc975bf40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0bc9770040>)]
name: str = 'fr_HOCCN'
